Get a seller billing mandate
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/billing-mandates/{mandateUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/billing-mandates/{mandateUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/billing-mandates/{mandateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"mandateUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sellerCustomerId": 4503599627370495,
"storefrontId": "<string>",
"revision": 4503599627370495,
"relationshipKind": "seller_self_serve",
"payeeRef": "<string>",
"operator": {
"domain": "<string>",
"scope": "whole_operator",
"unitId": "<string>"
},
"liablePayerRef": "<string>",
"paymentAuthorityHolderRef": "<string>",
"advertiserScopeKind": "exact_advertiser",
"advertisers": [
{
"advertiserId": "<string>",
"advertiserCustomerId": 4503599627370495,
"brand": {
"domain": "<string>",
"id": "<string>",
"countries": [
"AD"
]
},
"operator": {
"domain": "<string>",
"scope": "whole_operator",
"unitId": "<string>"
},
"fixedCurrency": "<string>",
"buyerSelectedTimezone": "<string>",
"sandbox": true,
"bindingEpoch": "<string>",
"identityFingerprint": "<string>",
"binding": {
"relationshipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipVersion": 4503599627370495,
"bindingUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bindingRevision": 4503599627370495
}
}
],
"billing": {
"mode": "seller_direct_invoice",
"party": "seller",
"authorityKind": "invoice_authority",
"authorityRef": "<string>"
},
"terms": {
"currency": "<string>",
"paymentTermsDays": 182,
"termsRef": "<string>",
"perTransactionLimitMinor": "<string>",
"aggregateLimitMinor": "<string>",
"aggregateLimitPeriodDays": 183
},
"lifecycleState": "draft",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveUntil": "2023-11-07T05:31:56Z",
"provenance": {
"kind": "seller_admin_contract",
"reference": "<string>"
},
"reason": "<string>",
"authoredAt": "2023-11-07T05:31:56Z",
"readiness": {
"mandateRevision": 4503599627370495,
"readinessRevision": 4503599627370495,
"status": "pending",
"reasonCode": "<string>",
"reasonSummary": "<string>",
"projectedAt": "2023-11-07T05:31:56Z",
"billingMandateReady": true
},
"custody": {
"cardControlledBy": "liable_payer_or_payment_authority_holder",
"advertiserOwnsPaymentMethod": false,
"organizationCardReused": false,
"interchangeRole": "no_card_custody_no_media_receivable"
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Billing
Get a seller billing mandate
Get the current immutable commercial revision and separately projected readiness for this Seller Account.
GET
/
billing-mandates
/
{mandateUid}
Get a seller billing mandate
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/billing-mandates/{mandateUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/billing-mandates/{mandateUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/billing-mandates/{mandateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"mandateUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sellerCustomerId": 4503599627370495,
"storefrontId": "<string>",
"revision": 4503599627370495,
"relationshipKind": "seller_self_serve",
"payeeRef": "<string>",
"operator": {
"domain": "<string>",
"scope": "whole_operator",
"unitId": "<string>"
},
"liablePayerRef": "<string>",
"paymentAuthorityHolderRef": "<string>",
"advertiserScopeKind": "exact_advertiser",
"advertisers": [
{
"advertiserId": "<string>",
"advertiserCustomerId": 4503599627370495,
"brand": {
"domain": "<string>",
"id": "<string>",
"countries": [
"AD"
]
},
"operator": {
"domain": "<string>",
"scope": "whole_operator",
"unitId": "<string>"
},
"fixedCurrency": "<string>",
"buyerSelectedTimezone": "<string>",
"sandbox": true,
"bindingEpoch": "<string>",
"identityFingerprint": "<string>",
"binding": {
"relationshipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipVersion": 4503599627370495,
"bindingUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bindingRevision": 4503599627370495
}
}
],
"billing": {
"mode": "seller_direct_invoice",
"party": "seller",
"authorityKind": "invoice_authority",
"authorityRef": "<string>"
},
"terms": {
"currency": "<string>",
"paymentTermsDays": 182,
"termsRef": "<string>",
"perTransactionLimitMinor": "<string>",
"aggregateLimitMinor": "<string>",
"aggregateLimitPeriodDays": 183
},
"lifecycleState": "draft",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveUntil": "2023-11-07T05:31:56Z",
"provenance": {
"kind": "seller_admin_contract",
"reference": "<string>"
},
"reason": "<string>",
"authoredAt": "2023-11-07T05:31:56Z",
"readiness": {
"mandateRevision": 4503599627370495,
"readinessRevision": 4503599627370495,
"status": "pending",
"reasonCode": "<string>",
"reasonSummary": "<string>",
"projectedAt": "2023-11-07T05:31:56Z",
"billingMandateReady": true
},
"custody": {
"cardControlledBy": "liable_payer_or_payment_authority_holder",
"advertiserOwnsPaymentMethod": false,
"organizationCardReused": false,
"interchangeRole": "no_card_custody_no_media_receivable"
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$